org.omg.CORBA

## Class TCKind

- java.lang.Object
- - org.omg.CORBA.TCKind

-     public class TCKind
      extends Object

  The Java mapping of the IDL enum `TCKind`, which specifies the kind of a `TypeCode` object. There is one kind for each primitive and essential IDL data type.

  The class `TCKind` consists of:

  - a set of `int` constants, one for each kind of IDL data type. These `int` constants make it possible to use a `switch` statement.
  - a set of `TCKind` constants, one for each kind of IDL data type. The `value` field for each `TCKind` instance is initialized with the `int` constant that corresponds with the IDL data type that the instance represents.
  - the method `from_int`for converting an `int` to its corresponding `TCKind` instance

    Example:

              org.omg.CORBA.TCKind k = org.omg.CORBA.TCKind.from_int(
                                 org.omg.CORBA.TCKind._tk_string);

    The variable `k` represents the `TCKind` instance for the IDL type `string`, which is `tk_string`.

  - the method `value` for accessing the `_value` field of a `TCKind` constant

    Example:

           int i = org.omg.CORBA.TCKind.tk_char.value();

    The variable `i` represents 9, the value for the IDL data type `char`.

  The `value` field of a `TCKind` instance is the CDR encoding used for a `TypeCode` object in an IIOP message.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `_tk_abstract_interface` | The `int` constant for the IDL data type `abstract interface`.
    `static int` | `_tk_alias` | The `int` constant for the IDL data type `alias`.
    `static int` | `_tk_any` | The `int` constant for the IDL data type `any`.
    `static int` | `_tk_array` | The `int` constant for the IDL data type `array`.
    `static int` | `_tk_boolean` | The `int` constant for the IDL data type `boolean`.
    `static int` | `_tk_char` | The `int` constant for the IDL data type `char`.
    `static int` | `_tk_double` | The `int` constant for the IDL data type `double`.
    `static int` | `_tk_enum` | The `int` constant for the IDL data type `enum`.
    `static int` | `_tk_except` | The `int` constant for the IDL data type `except`.
    `static int` | `_tk_fixed` | The `int` constant for the IDL data type `fixed`.
    `static int` | `_tk_float` | The `int` constant for the IDL data type `float`.
    `static int` | `_tk_long` | The `int` constant for the IDL data type `long`.
    `static int` | `_tk_longdouble` | The `int` constant for the IDL data type `longdouble`.
    `static int` | `_tk_longlong` | The `int` constant for the IDL data type `longlong`.
    `static int` | `_tk_native` | The `int` constant for the IDL data type `native`.
    `static int` | `_tk_null` | The `int` constant for a `null` IDL data type.
    `static int` | `_tk_objref` | The `int` constant for the IDL data type `objref`.
    `static int` | `_tk_octet` | The `int` constant for the IDL data type `octet`.
    `static int` | `_tk_Principal` | The `int` constant for the IDL data type `Principal`.
    `static int` | `_tk_sequence` | The `int` constant for the IDL data type `sequence`.
    `static int` | `_tk_short` | The `int` constant for the IDL data type `short`.
    `static int` | `_tk_string` | The `int` constant for the IDL data type `string`.
    `static int` | `_tk_struct` | The `int` constant for the IDL data type `struct`.
    `static int` | `_tk_TypeCode` | The `int` constant for the IDL data type `TypeCode`.
    `static int` | `_tk_ulong` | The `int` constant for the IDL data type `ulong`.
    `static int` | `_tk_ulonglong` | The `int` constant for the IDL data type `ulonglong`.
    `static int` | `_tk_union` | The `int` constant for the IDL data type `union`.
    `static int` | `_tk_ushort` | The `int` constant for the IDL data type `ushort`.
    `static int` | `_tk_value` | The `int` constant for the IDL data type `value`.
    `static int` | `_tk_value_box` | The `int` constant for the IDL data type `value_box`.
    `static int` | `_tk_void` | The `int` constant for the IDL data type `void`.
    `static int` | `_tk_wchar` | The `int` constant for the IDL data type `wchar`.
    `static int` | `_tk_wstring` | The `int` constant for the IDL data type `wstring`.
    `static TCKind` | `tk_abstract_interface` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_abstract_interface`.
    `static TCKind` | `tk_alias` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_alias`.
    `static TCKind` | `tk_any` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_any`.
    `static TCKind` | `tk_array` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_array`.
    `static TCKind` | `tk_boolean` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_boolean`.
    `static TCKind` | `tk_char` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_char`.
    `static TCKind` | `tk_double` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_double`.
    `static TCKind` | `tk_enum` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_enum`.
    `static TCKind` | `tk_except` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_except`.
    `static TCKind` | `tk_fixed` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_fixed`.
    `static TCKind` | `tk_float` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_float`.
    `static TCKind` | `tk_long` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_long`.
    `static TCKind` | `tk_longdouble` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_longdouble`.
    `static TCKind` | `tk_longlong` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_longlong`.
    `static TCKind` | `tk_native` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_native`.
    `static TCKind` | `tk_null` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_null`.
    `static TCKind` | `tk_objref` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_objref`.
    `static TCKind` | `tk_octet` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_octet`.
    `static TCKind` | `tk_Principal` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_Principal`.
    `static TCKind` | `tk_sequence` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_sequence`.
    `static TCKind` | `tk_short` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_short`.
    `static TCKind` | `tk_string` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_string`.
    `static TCKind` | `tk_struct` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_struct`.
    `static TCKind` | `tk_TypeCode` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_TypeCode`.
    `static TCKind` | `tk_ulong` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_ulong`.
    `static TCKind` | `tk_ulonglong` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_ulonglong`.
    `static TCKind` | `tk_union` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_union`.
    `static TCKind` | `tk_ushort` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_ushort`.
    `static TCKind` | `tk_value` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_value`.
    `static TCKind` | `tk_value_box` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_value_box`.
    `static TCKind` | `tk_void` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_void`.
    `static TCKind` | `tk_wchar` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_wchar`.
    `static TCKind` | `tk_wstring` | The `TCKind` constant whose `value` field is initialized with `TCKind._tk_wstring`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TCKind(int _value)` | Deprecated. Do not use this constructor as this method should be private according to the OMG specification. Use `from_int(int)` instead.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TCKind` | `from_int(int i)` | Converts the given `int` to the corresponding `TCKind` instance.
    `int` | `value()` | Retrieves the value of this `TCKind` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _tk_null

          public static final int _tk_null

      The `int` constant for a `null` IDL data type.
      See Also:
        Constant Field Values

    - #### _tk_void

          public static final int _tk_void

      The `int` constant for the IDL data type `void`.
      See Also:
        Constant Field Values

    - #### _tk_short

          public static final int _tk_short

      The `int` constant for the IDL data type `short`.
      See Also:
        Constant Field Values

    - #### _tk_long

          public static final int _tk_long

      The `int` constant for the IDL data type `long`.
      See Also:
        Constant Field Values

    - #### _tk_ushort

          public static final int _tk_ushort

      The `int` constant for the IDL data type `ushort`.
      See Also:
        Constant Field Values

    - #### _tk_ulong

          public static final int _tk_ulong

      The `int` constant for the IDL data type `ulong`.
      See Also:
        Constant Field Values

    - #### _tk_float

          public static final int _tk_float

      The `int` constant for the IDL data type `float`.
      See Also:
        Constant Field Values

    - #### _tk_double

          public static final int _tk_double

      The `int` constant for the IDL data type `double`.
      See Also:
        Constant Field Values

    - #### _tk_boolean

          public static final int _tk_boolean

      The `int` constant for the IDL data type `boolean`.
      See Also:
        Constant Field Values

    - #### _tk_char

          public static final int _tk_char

      The `int` constant for the IDL data type `char`.
      See Also:
        Constant Field Values

    - #### _tk_octet

          public static final int _tk_octet

      The `int` constant for the IDL data type `octet`.
      See Also:
        Constant Field Values

    - #### _tk_any

          public static final int _tk_any

      The `int` constant for the IDL data type `any`.
      See Also:
        Constant Field Values

    - #### _tk_TypeCode

          public static final int _tk_TypeCode

      The `int` constant for the IDL data type `TypeCode`.
      See Also:
        Constant Field Values

    - #### _tk_Principal

          public static final int _tk_Principal

      The `int` constant for the IDL data type `Principal`.
      See Also:
        Constant Field Values

    - #### _tk_objref

          public static final int _tk_objref

      The `int` constant for the IDL data type `objref`.
      See Also:
        Constant Field Values

    - #### _tk_struct

          public static final int _tk_struct

      The `int` constant for the IDL data type `struct`.
      See Also:
        Constant Field Values

    - #### _tk_union

          public static final int _tk_union

      The `int` constant for the IDL data type `union`.
      See Also:
        Constant Field Values

    - #### _tk_enum

          public static final int _tk_enum

      The `int` constant for the IDL data type `enum`.
      See Also:
        Constant Field Values

    - #### _tk_string

          public static final int _tk_string

      The `int` constant for the IDL data type `string`.
      See Also:
        Constant Field Values

    - #### _tk_sequence

          public static final int _tk_sequence

      The `int` constant for the IDL data type `sequence`.
      See Also:
        Constant Field Values

    - #### _tk_array

          public static final int _tk_array

      The `int` constant for the IDL data type `array`.
      See Also:
        Constant Field Values

    - #### _tk_alias

          public static final int _tk_alias

      The `int` constant for the IDL data type `alias`.
      See Also:
        Constant Field Values

    - #### _tk_except

          public static final int _tk_except

      The `int` constant for the IDL data type `except`.
      See Also:
        Constant Field Values

    - #### _tk_longlong

          public static final int _tk_longlong

      The `int` constant for the IDL data type `longlong`.
      See Also:
        Constant Field Values

    - #### _tk_ulonglong

          public static final int _tk_ulonglong

      The `int` constant for the IDL data type `ulonglong`.
      See Also:
        Constant Field Values

    - #### _tk_longdouble

          public static final int _tk_longdouble

      The `int` constant for the IDL data type `longdouble`.
      See Also:
        Constant Field Values

    - #### _tk_wchar

          public static final int _tk_wchar

      The `int` constant for the IDL data type `wchar`.
      See Also:
        Constant Field Values

    - #### _tk_wstring

          public static final int _tk_wstring

      The `int` constant for the IDL data type `wstring`.
      See Also:
        Constant Field Values

    - #### _tk_fixed

          public static final int _tk_fixed

      The `int` constant for the IDL data type `fixed`.
      See Also:
        Constant Field Values

    - #### _tk_value

          public static final int _tk_value

      The `int` constant for the IDL data type `value`.
      See Also:
        Constant Field Values

    - #### _tk_value_box

          public static final int _tk_value_box

      The `int` constant for the IDL data type `value_box`.
      See Also:
        Constant Field Values

    - #### _tk_native

          public static final int _tk_native

      The `int` constant for the IDL data type `native`.
      See Also:
        Constant Field Values

    - #### _tk_abstract_interface

          public static final int _tk_abstract_interface

      The `int` constant for the IDL data type `abstract interface`.
      See Also:
        Constant Field Values

    - #### tk_null

          public static final TCKind tk_null

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_null`.

    - #### tk_void

          public static final TCKind tk_void

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_void`.

    - #### tk_short

          public static final TCKind tk_short

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_short`.

    - #### tk_long

          public static final TCKind tk_long

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_long`.

    - #### tk_ushort

          public static final TCKind tk_ushort

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_ushort`.

    - #### tk_ulong

          public static final TCKind tk_ulong

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_ulong`.

    - #### tk_float

          public static final TCKind tk_float

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_float`.

    - #### tk_double

          public static final TCKind tk_double

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_double`.

    - #### tk_boolean

          public static final TCKind tk_boolean

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_boolean`.

    - #### tk_char

          public static final TCKind tk_char

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_char`.

    - #### tk_octet

          public static final TCKind tk_octet

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_octet`.

    - #### tk_any

          public static final TCKind tk_any

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_any`.

    - #### tk_TypeCode

          public static final TCKind tk_TypeCode

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_TypeCode`.

    - #### tk_Principal

          public static final TCKind tk_Principal

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_Principal`.

    - #### tk_objref

          public static final TCKind tk_objref

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_objref`.

    - #### tk_struct

          public static final TCKind tk_struct

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_struct`.

    - #### tk_union

          public static final TCKind tk_union

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_union`.

    - #### tk_enum

          public static final TCKind tk_enum

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_enum`.

    - #### tk_string

          public static final TCKind tk_string

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_string`.

    - #### tk_sequence

          public static final TCKind tk_sequence

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_sequence`.

    - #### tk_array

          public static final TCKind tk_array

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_array`.

    - #### tk_alias

          public static final TCKind tk_alias

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_alias`.

    - #### tk_except

          public static final TCKind tk_except

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_except`.

    - #### tk_longlong

          public static final TCKind tk_longlong

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_longlong`.

    - #### tk_ulonglong

          public static final TCKind tk_ulonglong

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_ulonglong`.

    - #### tk_longdouble

          public static final TCKind tk_longdouble

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_longdouble`.

    - #### tk_wchar

          public static final TCKind tk_wchar

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_wchar`.

    - #### tk_wstring

          public static final TCKind tk_wstring

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_wstring`.

    - #### tk_fixed

          public static final TCKind tk_fixed

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_fixed`.

    - #### tk_value

          public static final TCKind tk_value

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_value`.

    - #### tk_value_box

          public static final TCKind tk_value_box

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_value_box`.

    - #### tk_native

          public static final TCKind tk_native

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_native`.

    - #### tk_abstract_interface

          public static final TCKind tk_abstract_interface

      The `TCKind` constant whose `value` field is initialized with `TCKind._tk_abstract_interface`.

  - ### Constructor Detail

    - #### TCKind

          @Deprecated
          protected TCKind(int _value)

      Deprecated. Do not use this constructor as this method should be private according to the OMG specification. Use `from_int(int)` instead.
      Creates a new `TCKind` instance initialized with the given `int`.
      Parameters:
        `_value` - the `int` to convert. It must be one of the `int` constants in the class `TCKind`.

  - ### Method Detail

    - #### value

          public int value()

      Retrieves the value of this `TCKind` instance.
      Returns:
        the `int` that represents the kind of IDL data type for this `TCKind` instance

    - #### from_int

          public static TCKind from_int(int i)

      Converts the given `int` to the corresponding `TCKind` instance.
      Parameters:
        `i` - the `int` to convert. It must be one of the `int` constants in the class `TCKind`.
      Returns:
        the `TCKind` instance whose `value` field matches the given `int`
      Throws:
        `BAD_PARAM` - if the given `int` does not match the `_value` field of any `TCKind` instance

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.